[Rainmeter]
Update=1000
Author=Connect-R
BackgroundMode=2
SolidColor=0,0,0,1
DynamicWindowSize=1
AccurateText=1
MouseScrollUpAction=[!SetVariable Scale "(#Scale#+#ScrollMouseIncrement#)"][!WriteKeyValue Variables Scale "(#Scale#+#ScrollMouseIncrement#)"][!Refresh] 
MouseScrollDownAction=[!SetVariable Scale "(#Scale#-#ScrollMouseIncrement# < 0.2 ? 0.2 : #Scale#-#ScrollMouseIncrement#)"][!WriteKeyValue Variables Scale "(#Scale#-#ScrollMouseIncrement# < 0.2 ? 0.2 : #Scale#-#ScrollMouseIncrement#)"][!Refresh]
ContextTitle=> Fahrenheit
ContextAction=[!WritekeyValue MeterTempAndCond MeasureName2 MeasureTempFahrenheit][!WritekeyValue Variables TempSymbol f][!Refresh]
ContextTitle2=> Celsius
ContextAction2=[!WritekeyValue MeterTempAndCond MeasureName2 MeasureTempCelsius][!WritekeyValue Variables TempSymbol c][!Refresh]
ContextTitle3=> Location        > [MeasureLocation] <
ContextAction3=["https://www.yahoo.com/news/weather"]
ContextTitle4=> Weather Icons V.1
ContextAction4=[!WritekeyValue Variables Icons WeatherIcons1][!Refresh]
ContextTitle5=> Weather Icons V.2
ContextAction5=[!WritekeyValue Variables Icons WeatherIcons2][!Refresh]
ContextTitle6=> Weather Icons V.3
ContextAction6=[!WritekeyValue Variables Icons WeatherIcons3][!Refresh]
ContextTitle7=> Font Color
ContextAction7=["#@#Addons\RainRGB4.exe" "VarName=Color1" "FileName=#@#Variables.inc"]
ContextTitle8=> Shadow Color
ContextAction8=["#@#Addons\RainRGB4.exe" "VarName=Color2" "FileName=#@#Variables.inc"]
ContextTitle9=> 24hTime
ContextAction9=[!WriteKeyValue Variables Format "H" "#@#Variables.inc"][!WriteKeyValue Variables Hidden2 "1" "#@#Variables.inc"][!WriteKeyValue Variables Hidden "0" "#@#Variables.inc"][!Refresh]
ContextTitle10=> 12hTime
ContextAction10=[!WriteKeyValue Variables Format "#I" "#@#Variables.inc"][!WriteKeyValue Variables Hidden2 "0" "#@#Variables.inc"][!WriteKeyValue Variables Hidden "1" "#@#Variables.inc"][!Refresh]
ContextTitle11=> Translate
ContextAction11=["#ROOTCONFIGPATH#@Resources\Language\Language.inc"]
;ContextTitle12=More actions ...
;ContextAction12=[!SkinMenu]
;RightMouseUpAction=[!SkinCustomMenu]


[Variables]
@include=#@#Variables.inc
@include2=#@#Language\Language.inc
Scale=3.3
Icons=WeatherIcons2
TempSymbol=c

;-------------------------------------------------------------
;-------------------------------------------------------------

[MeasureWeather]
Measure=Plugin
Plugin=WebParser
URL=https://www.yahoo.com/news/weather
RegExp=(?siU)<h1 class="city.*data-reactid="7">(.*)</h1>.*<div class="My\(2px\).*60x60\/(.*)@2x.png.*data-reactid="26">(.*)<.*<span class="Va\(t\)" data-reactid="37">(.*)</span> 
UpdateRate=900

;RegExp TEST
;RegExp=(?siU)<h1 class="city.*data-reactid="7">(.*)</h1>.*<div class="My\(2px\).*60x60\/(.*)@2x.png.*data-reactid="26">(.*)<.*<span class="Va\(m\) Px\(6px\)" data-reactid="29"><\!-- react-text: 30 -->(.*)<.*data-reactid="33"><\!-- react-text: 34 -->(.*)<.*<span class="Va\(t\)" data-reactid="37">(.*)</span>.*<a class="C\(#fff\) Va\(m\)" href="(.*)" data.*<span class="D\(ib\) W\(1\/1\).*data-reactid="19">(.*)<.*#forcast#.*Feels like.*data-reactid="477">(.*)°</div>

;-------------------------------------------------------------
;-------------------------------------------------------------

[MeasureLocation]
Measure=Plugin
Plugin=WebParser
URL=[MeasureWeather]
StringIndex=1
DynamicVariables=1

[MeasureIcon]
Measure=Plugin
Plugin=WebParser
URL=[MeasureWeather]
StringIndex=2
DynamicVariables=1
Substitute="rain_day_night":"rain","scattered_showers_day_night":"rain","windy_day_night":"wind","mostly_cloudy_day_night":"cloudy","cloudy_day_night":"cloudy","snow_rain_mix_day_night":"sleet","fair_day":"clear_day","fair_night":"clear_night","flurries_day_night":"snow","snow_day_night":"snow","thundershowers_day_night":"rain","fog_day_night":"fog"

[MeasureWeatherCond]
Measure=Plugin
Plugin=WebParser
URL=[MeasureWeather]
StringIndex=3
DynamicVariables=1
Substitute=#Conditions#

[MeasureTempFahrenheit]
Measure=Plugin
Plugin=WebParser
URL=[MeasureWeather]
StringIndex=4
DynamicVariables=1

[MeasureTempCelsius]
Measure=Calc
Formula=Round((MeasureTempFahrenheit-32)*5/9)

;-------------------------------------------------------------
;-------------------------------------------------------------

[MeasureTime]
Measure=Time
Format="%#Format#:%M"

[MeasureAmPm]
Measure=Time
Format="%p"
Substitute="AM":"am","PM":"pm"

[MeasureDate]
Measure=Time
Format=%A, %d %B, %Y.
Substitute=#Date#

[MeasureDate2]
Measure=Time
Format=%B %d, %A, %Y.
Substitute=#Date#

;-------------------------------------------------------------
;-------------------------------------------------------------

[MeterIcon]
Meter=Image
MeasureName=MeasureIcon
Path=#@##Icons#
X=(0*#Scale#)
Y=(0*#Scale#)
W=(100*#Scale#)
AntiAlias=1

;-------------------------------------------------------------
;-------------------------------------------------------------

[Meter24hTime]
Meter=String
MeasureName=MeasureTime
StringAlign=Center
FontFace=AndroidClock
FontColor=#Color1#
FontSize=(25*#Scale#)
X=(85*#Scale#)
Y=(45*#Scale#)
Text="%1"
AntiAlias=1
Hidden=#Hidden#
InlineSetting=Shadow | (1*#Scale#) | (1*#Scale#) | 4 | #Color2#,150

[Meter24hTime2]
Meter=String
MeasureName=MeasureTime
StringAlign=Center
FontFace=AndroidClock Highlight
FontColor=#Color1#,80
FontSize=(25*#Scale#)
X=(0*#Scale#)r
Y=(0*#Scale#)r
Text="%1"
AntiAlias=1
Hidden=#Hidden#
InlineSetting=Shadow | (1*#Scale#) | (1*#Scale#) | 4 | #Color2#,150

[Meter12hTime]
Meter=String
MeasureName=MeasureTime
MeasureName2=MeasureAmPm
StringAlign=Center
FontFace=AndroidClock
FontColor=#Color1#
FontSize=(25*#Scale#)
X=(85*#Scale#)
Y=(45*#Scale#)
Text="%1%2"
AntiAlias=1
InlinePattern=[MeasureAmPm]
InlineSetting=Size | (12*#Scale#)
Hidden=#Hidden2#
InlineSetting2=Shadow | (1*#Scale#) | (1*#Scale#) | 4 | #Color2#,150

[Meter12hTime2]
Meter=String
MeasureName=MeasureTime
MeasureName2=MeasureAmPm
StringAlign=Center
FontFace=AndroidClock Highlight
FontColor=#Color1#,80
FontSize=(25*#Scale#)
X=(0*#Scale#)r
Y=(0*#Scale#)r
Text="%1%2"
AntiAlias=1
InlinePattern=[MeasureAmPm]
InlineSetting=Size | (12*#Scale#)
Hidden=#Hidden2#
InlineSetting2=Shadow | (1*#Scale#) | (1*#Scale#) | 4 | #Color2#,150

[MeterDate]
Meter=String
MeasureName=MeasureDate
StringAlign=Left
FontColor=#Color1#
FontFace=Open Sans Light
FontSize=(5*#Scale#)
X=(75*#Scale#)
Y=(70*#Scale#)
Text="%1"
AntiAlias=1
Hidden=#Hidden#

[MeterDate2]
Meter=String
MeasureName=MeasureDate2
StringAlign=Left
FontColor=#Color1#
FontFace=Open Sans Light
FontSize=(5*#Scale#)
X=(0*#Scale#)r
Y=(0*#Scale#)r
Text="%1"
AntiAlias=1
Hidden=#Hidden2#

;-------------------------------------------------------------
;-------------------------------------------------------------

[MeterTempAndCond]
Meter=String
MeasureName=MeasureWeatherCond
MeasureName2=MeasureTempCelsius
StringAlign=Center
FontColor=#Color1#,100
FontFace=Open Sans Light
FontSize=(4*#Scale#)
X=(130*#Scale#)
Y=(78*#Scale#)
Text="#Weather is# %1 - #It's# %2˚#TempSymbol# #outside#!"
AntiAlias=1
InlinePattern=It's
InlineSetting=Color | #Color1#
InlinePattern2=[MeasureTempCelsius]
InlineSetting2=Color | #Color1#
InlinePattern3=[MeasureTempFahrenheit]
InlineSetting3=Color | #Color1#
InlinePattern4=#TempSymbol#
InlineSetting4=Color | #Color1#
InlinePattern5=˚
InlineSetting5=Color | #Color1#
InlinePattern6=!
InlineSetting6=Color | #Color1#
InlinePattern7=#outside#
InlineSetting7=Color | #Color1#

InlinePattern8=It's
InlineSetting8=Weight | 800
InlinePattern9=[MeasureTempCelsius]
InlineSetting9=Weight | 800
InlinePattern10=[MeasureTempFahrenheit]
InlineSetting10=Weight | 800
InlinePattern11=#TempSymbol#
InlineSetting11=Weight | 800
InlinePattern12=˚
InlineSetting12=Weight | 800
InlinePattern13=!
InlineSetting13=Weight | 800
InlinePattern14=#outside#
InlineSetting14=Weight | 800
DynamicVariables=1

[MeterLocation]
Meter=String
MeasureName=MeasureLocation
StringAlign=Left
FontColor=#Color1#
FontFace=Open Sans Light
FontSize=(5*#Scale#)
X=(65*#Scale#)
Y=(38*#Scale#)
Text="%1"
AntiAlias=1
